@font-face {
    font-family: 'Poiret One';
    src: url('HammersmithOne-Regular.ttf') format('truetype');
    /* Jika ingin mendukung berbagai format font, tambahkan format('woff') dan format('woff2') di sini */
  }




body{
    height: 400vh;
    background-color: #000;
    font-family: 'Poiret One', sans-serif;
    color: white;
}

/* Tambahkan class .scrolled untuk mengubah warna navbar saat di-scroll */
.navbar.navbar-custom.navbar-scroll {
    background-color: black !important; /* Ganti dengan warna yang Anda inginkan */
}

.navbar.navbar-custom {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
}

.navbar-custom .navbar-nav .nav-item.active .nav-link {
    border-bottom: 2px solid white; /* Ganti dengan warna garis yang Anda inginkan */
}

.page1 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.2)), url('doryink\ asset/home-hal1-bg.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


.navbar {
    background-color: transparent !important;
    transition: background-color 0.3s ease !important;
}

.navbar-scroll {
    background-color: #000 !important; /* Ganti dengan warna yang Anda inginkan */
}

.page1 .container{
    color: white;
}

.section-container {
    max-width: 100%;
    overflow-x: hidden;
    padding: 0 20px; /* Padding di kiri dan kanan untuk memberikan ruang ekstra */
    box-sizing: border-box;
}

.button-container{
    margin-top: 10%;
}

.mycustomheading{
    font-family: Georgia, 'Times New Roman', Times, serif;
}

.mycustombutton{
    border-radius: 2.9375rem;
    border: 2px solid rgba(255, 255, 255, 0.88);
    background: rgba(0, 0, 0, 0.20);
    width: 40%;
}

.mycustombutton:hover{
    background-color: aliceblue;
    border: 2px solid rgba(255, 255, 255, 0.88);
    color: black;
}

#changingWord {
    overflow: hidden;
    border-right: .15em solid orange; /* Garis bawah yang menandakan teks yang sedang diketik */
    white-space: nowrap; /* Agar teks tidak mematahkan baris */
    margin: 0 auto; /* Tengah horisontal */
    letter-spacing: .15em; /* Spasi antara huruf */
    animation: typing 2s steps(20, end), blink-caret .5s step-end infinite;
  }
  
  @keyframes typing {
    from { width: 0 }
    to { width: 100% }
  }
  
  @keyframes blink-caret {
    from, to { border-color: transparent }
    50% { border-color: white }
  }

.page2{
    background-color: rgb(255, 255, 255);
    color:rgb(0, 0, 0);
    font-family: 'Times New Roman', Times, serif;
}

.page2 .mycustomheading{
    margin-top: 10%;
    font-size: 3vh;
}

.page2 .custom-row {
  /* Ganti dengan warna latar belakang yang Anda inginkan, misalnya kode warna atau nama warna */
    height: 100vh;
    padding: 0 20px;
}

/* Memisahkan top-content dan bottom-content */
.page2 .top-content, .page2
.bottom-content {
    height: 38.5%; /* Bagi tinggi antara top dan bottom menjadi 50% */
    justify-content: flex-start; /* Pusatkan elemen secara vertikal ke atas */
    align-items: center; /* Pusatkan elemen secara horizontal */
    display: flex;
    flex-direction: column;
}

/* Mengubah warna background content */
.page2 .solo-content {
    background: #fffbfb;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    height: 80%;
    margin: 4%;
    background-image: url(about\ asset/c1.png);
    background-size: cover; /* Ubah nilai ini */
}


/* Mengubah warna background top-content */
.page2 .top-content {
    background: #ffffff;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px; /* Ganti dengan warna yang Anda inginkan */
    margin-top: 5%;
}

/* Mengubah warna background bottom-content */
.page2 .bottom-content {
    background: #ffffff;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px; /* Ganti dengan warna yang Anda inginkan */
    margin-top: 5%;
}

.page2 .top-content h5, .page2 .bottom-content h5{
    color: rgba(0, 0, 0, 0.75);
    padding-top: 5%;
    margin-left: 5%;
    margin-right: 5%;
    height: 20%;
    text-align: center;
    font-weight: bold;
   
}

.page2 .top-content p, .page2 .bottom-content p{
    color: rgba(0, 0, 0, 0.75);
    padding: 5%;
    text-align: justify;
    font-size: 2vh;
    font-weight: 50;
}

.page2 .top-content img, .page2 .bottom-content img{
    width: 20%;
    padding: 3%;
}

.page2  h1{
    font-weight: bolder;
    font-size: 3vh;
}

.page3{
    height: 100vh;
}

.page3 h1{
    margin-top: 10%;
}

  /* Tambahkan gaya khusus untuk slider */
  .swiper-container {
    width: 100%;
    height: 90%; /* Atur tinggi slider sesuai kebutuhan Anda */
    margin: 0;
    overflow: hidden;
    margin-top: 10%;
    background: #000;
    box-shadow: 0px 0px 8px 10px #565656;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    /* Tambahkan efek transisi */
    transition: transform 2s;
}

.swiper-slide img {
    max-width: 100%; /* Gambar akan mengikuti lebar slide */
    display: block; /* Menghilangkan spasi di bawah gambar */
    margin: 0 auto; /* Posisi gambar ke tengah slide */
    height: 80%;
    margin-top: 20%;
}


/* Mengubah warna latar belakang tombol navigasi */


/* Mengubah warna ikon panah pada tombol navigasi */
.swiper-button-next::after, .swiper-button-prev::after {
    color: white; /* Ganti dengan warna yang Anda inginkan */
}

/* Mengubah ukuran tombol navigasi */
.swiper-button-next, .swiper-button-prev {
    top: 80% !important;
}

/* Mengubah posisi tombol navigasi */
.swiper-button-next {
    right: 10px; /* Sesuaikan posisi tombol next */
}

.swiper-button-prev {
    left: 10px; /* Sesuaikan posisi tombol prev */
}

.page4{
    height: 100vh;
}

.page4 .custom-bg{
    background:linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.2)), url(doryink\ asset/page4bg.png);
    width: 100%;
    height: 40vh;
    margin-top:5%;
    padding: 0 ;
    display: flex;
    justify-content: center;
    align-items: center;
}

.page4 .custom-bg h1{
    font-size: 10vh;
    font-weight: bolder;
}

.page4 .custom-info{
    height: 50vh;
    margin: 0;
    padding: 0;
}

.page4 .custom-info iframe{
    width: 100%;
    padding: 0;
    margin: 0;
    height: 100%;
}

.page4 .custom-info .info{
    background-color: #161E22;
    width: 100%;
    height: 100%;
}

.page4 .custom-info .info img{
    width: 5%;

}

.page4 .custom-info .info h1{
    width: 50%;
    padding-top: 10%;
    text-align: center;
    margin-left: 5%;
}

.page4 .custom-info .info .social-media{
    margin-left: 10%;
    margin-top: 5%;
    width: 50%;
    height: 30%;
    color: #fffbfb;
}

.page4 .custom-info .info .social-media img{
    margin: 5%;
    margin-left: 10%;
}

.page4 .custom-info .info .social-media a{
    color: #fffbfb;
}

.page4 .custom-info .info button{
    width: 25%;
    margin-top: 5%;
    margin-left: 15%;
    border-radius: 2.9375rem;
    border: 2px solid rgba(255, 255, 255, 0.88);
    background: rgba(0, 0, 0, 0.20);
    width: 40%;
    color: white;
}

































































@media (max-width: 767px) {
    .page2 .custom-row { /* Ganti dengan warna latar belakang yang Anda inginkan, misalnya kode warna atau nama warna */
        height: 300vh;
        padding: 0 20px;
    }
    .page2 .top-content, .page2
    .bottom-content {
        height: 40%; /* Bagi tinggi antara top dan bottom menjadi 50% */
    }
    .page2 .top-content {
        background-color: white; /* Ganti dengan warna yang Anda inginkan */
        margin-top: 10%;
    }

    .page2 .bottom-content {
        background-color: white; /* Ganti dengan warna yang Anda inginkan */
        margin-top: 15%;
    }

    .page2 .solo-content {
        background-color: white; 
        height: 100%;/* Ganti dengan warna yang Anda inginkan */
        margin-top: 5%;
    }
    

      /* Tambahkan gaya khusus untuk slider */
  .swiper-container {
    width: 100%;
    height: 60%; /* Atur tinggi slider sesuai kebutuhan Anda */
    margin: 0;
    overflow: hidden;
    margin-top: 40%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    /* Tambahkan efek transisi */
    transition: transform 2s;
}

.swiper-slide img {
    max-width: 100%; /* Gambar akan mengikuti lebar slide */
    display: block; /* Menghilangkan spasi di bawah gambar */
    margin: 0 auto; /* Posisi gambar ke tengah slide */
    height: 100%;
}

.swiper-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* Membuat grid 2 kolom */
    grid-gap: 10px; /* Jarak antar gambar */
}

.swiper-slide {
    width: 100%; /* Lebar 100% agar 2 gambar per baris */
}

.page4 .custom-bg{
    background:linear-gradient(rgba(0, 0, 0, 1), rgba(0, 0, 0, 1)), url(doryink\ asset/page4bgmb.png),;
}

.page4 .custom-info iframe{
    width: 100%;
}

}